# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []

def install():

    versionsoft = control['version'].split('-',1)[0]
    install_msi_if_needed('FileBot_%s_x86.msi' % versionsoft,killbefore='javaw.exe')


def update_package():

    proxies = {}
    if isfile(makepath(application_data(),'waptconsole','waptconsole.ini')):
        proxywapt = inifile_readstring(makepath(user_local_appdata(),'waptconsole','waptconsole.ini'),'global','http_proxy')
        if proxywapt :
            proxies = {'http':proxywapt,'https':proxywapt}

    linkx64 = wgets('https://www.filebot.net/#download',proxies=proxies).split('_x64.msi')[0].split('"')[-1] + '_x64.msi'
    linkx64 = linkx64.replace('_x64.msi','_x86.msi')
    filex64 = linkx64.split('/')[-1]
    version = filex64.split('_')[-2]


    print('Latest Version : ' + version)

    allmsi = glob.glob('*.msi')
    for msi in allmsi:
        vers = get_msi_properties(msi)['ProductVersion']
        if vers != version :
            print('Delete : ' + msi)
            remove_file(msi)

    if not isfile(filex64):
        print('Download : ' + linkx64)
        wget(linkx64,filex64,proxies=proxies)

    pe = PackageEntry()
    pe.load_control_from_wapt(os.getcwd())

    pe.version = version + '-0'
    pe.save_control_to_wapt(os.getcwd())

    print('The update is complete, you can now test and then launch a build upload.')



